
----Create user and add to DB.
USE [master]
GO
CREATE LOGIN [OU] WITH PASSWORD=N'asdf', DEFAULT_DATABASE=[BackupInstallTest], CHECK_EXPIRATION=OFF, CHECK_POLICY=OFF
GO
USE [BackupInstallTest]
GO
CREATE USER [OU] FOR LOGIN [OU]
GO
USE [BackupInstallTest]
GO
ALTER ROLE [db_datareader] ADD MEMBER [OU]
GO


----Drop Login.
USE [master]
GO
/****** Object:  Login [OU]    Script Date: 2/28/2018 10:47:10 AM ******/
DROP LOGIN [OU]
GO

---Kill user if needed to drop login.
SELECT 'KILL ' + CAST(SPID AS VARCHAR(10)) FROM sys.sysprocesses
WHERE loginame = 'OU'

----Query to see if SIDs match.
USE BackupInstallTest
SELECT 'master' AS DBName, NAME, sid FROM sys.syslogins
WHERE name = 'OU'
UNION all
SELECT 'BackupInstallTest' AS DBName, NAME, sid FROM sys.sysusers
WHERE name = 'OU'

----2 ways to fix an orphaned user.
ALTER USER [OU] WITH LOGIN = [OU]

EXEC sp_change_users_login 'Auto_Fix', 'OU', NULL, 'asdf';  
GO


